Page MenuHomePhabricator

Align Vector skin with WikimediaUI color palette
Open, Needs TriagePublic

Description

Recently, some color changes have been applied to MW to use the colors from M82, but colors used in the Vector skin stayed the same. This causes strange (though barely noticeable) inconsistencies. For example, the selected tab still uses #333 (tabs.less), while in core the very similar search headers have been changed to #222.

There are other colors (mainly in variables.less), which are very similar but different to colors from the palette.

Before:


After:

Event Timeline

Schnark created this task.Dec 13 2016, 8:28 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 13 2016, 8:28 AM
Ladsgroup added a subscriber: Ladsgroup.
Fito added a subscriber: Fito.Dec 22 2016, 8:53 AM

@Volker_E: Could you elaborate what's expected from Community-Relations-Support here?

Volker_E renamed this task from Align Vector skin with Wikimedia color palette to Align Vector skin with WikimediaUI color palette.Feb 16 2017, 7:13 PM

Change 338158 had a related patch set uploaded (by VolkerE):
Align text and border colors to WikimediaUI color palette

https://gerrit.wikimedia.org/r/338158

I would love to see screenshots

Volker_E updated the task description. (Show Details)Feb 16 2017, 10:34 PM

Change 338158 merged by jenkins-bot:
[mediawiki/skins/Vector] Align text and border colors to WikimediaUI color palette

https://gerrit.wikimedia.org/r/338158

Change 366731 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/skins/Vector@master] Bring menu tab appearance closer to standard widgets

https://gerrit.wikimedia.org/r/366731

Change 372585 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/skins/Vector@master] Replace grey with WikimediaUI palette color one

https://gerrit.wikimedia.org/r/372585

Change 372585 merged by jenkins-bot:
[mediawiki/skins/Vector@master] Replace grey with WikimediaUI palette color one

https://gerrit.wikimedia.org/r/372585

Change 383018 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/skins/Vector@master] Remove fallback color from tabs

https://gerrit.wikimedia.org/r/383018

Change 383019 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/skins/Vector@master] Replace footer text color with WikimediaUI color palette one

https://gerrit.wikimedia.org/r/383019

Change 383019 merged by jenkins-bot:
[mediawiki/skins/Vector@master] Replace footer text color with WikimediaUI color palette one

https://gerrit.wikimedia.org/r/383019

Change 383018 merged by jenkins-bot:
[mediawiki/skins/Vector@master] Remove fallback color from tabs

https://gerrit.wikimedia.org/r/383018

Before change 366731After

Change 366731 merged by jenkins-bot:
[mediawiki/skins/Vector@master] Bring menu tab appearance closer to standard widgets

https://gerrit.wikimedia.org/r/366731

Change 386134 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/skins/Vector@master] Optimize SVGs and align to WikimediaUI color palette

https://gerrit.wikimedia.org/r/386134

Change 386134 merged by jenkins-bot:
[mediawiki/skins/Vector@master] Optimize SVGs and align to WikimediaUI color palette

https://gerrit.wikimedia.org/r/386134

Volker_E claimed this task.Nov 4 2017, 8:05 PM
Volker_E updated the task description. (Show Details)
Volker_E updated the task description. (Show Details)
Volker_E removed a subscriber: Moushira.